#cloud-config
{% if os_infra_centos_cloud_init_repo|bool %}
yum_repos:
{% if os_infra_centos_repository_baseos_url is defined %}
  baseos:
    baseurl: {{ os_infra_centos_repository_baseos_url }}
    name: "CentOS Linux - BaseOs"
    enabled: true
    gpgcheck: true
    gpgkey: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-centosofficial
    repo_gpgcheck: false
{% endif %}
{% if os_infra_centos_repository_appstream_url is defined %}
  appstream:
    baseurl: {{ os_infra_centos_repository_appstream_url }}
    name: "CentOS Linux - AppStream"
    enabled: true
    gpgcheck: true
    gpgkey: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-centosofficial
    repo_gpgcheck: false
{% endif %}
{% if os_infra_centos_repository_extras_url is defined %}
  extras:
    baseurl: {{ os_infra_centos_repository_extras_url }}
    name: "CentOS Linux - Extras"
    enabled: true
    gpgcheck: true
    gpgkey: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-centosofficial
    repo_gpgcheck: false
{% endif %}
{% endif %}
{% if os_infra_ubuntu_cloud_init_repo|bool %}
apt:
{% if os_infra_ubuntu_repository_disable_suites is defined %}
  disable_suites:
    {{ os_infra_ubuntu_repository_disable_suites }}
{% endif %}
{% if os_infra_ubuntu_repository_primary_archive_mirror is defined %}
  primary:
    - arches:
        - default
      uri: {{ os_infra_ubuntu_repository_primary_archive_mirror }}
{% endif %}
{% if os_infra_ubuntu_repository_security_archive_mirror is defined %}
  security:
    - arches:
        - default
      uri: {{ os_infra_ubuntu_repository_security_archive_mirror }}
{% endif %}
{% if os_infra_ubuntu_repository_sources_list is defined %}
  sources_list: |
    {{ os_infra_ubuntu_repository_sources_list | indent }}
{% endif %}
{% if os_infra_ubuntu_apt_conf is defined %}
  conf: |
      APT {
        {{ os_infra_ubuntu_apt_conf }}
      }
{% endif %}
{% if os_infra_ubuntu_repository_sources is defined %}
  sources:
    {{ os_infra_ubuntu_repository_sources }}
{% endif %}
{% endif %}

users:
  - default
write_files:
  - content: |
      #!/usr/bin/env bash

      if [ ! -e /usr/bin/python ];
        then sudo ln -s /usr/bin/python3 /usr/bin/python;
      fi
    permissions: '0755'
    path: /root/right_python.sh
runcmd:
  - /root/right_python.sh
{% if os_infra_centos_cloud_init_repo|bool %}
{#  # If on airgap mode, we need to remove previously created yum
    # repositories as they're pointing out to direct connection #}
  - find /etc/yum.repos.d -type f -mmin +10 -delete
{% endif %}
{% if os_infra_ubuntu_cloud_init_repo|bool %}
{#  # If on airgap mode, we need to remove previously created apt
    # repositories as they're pointing out to direct connection #}
  - find /etc/apt/sources.list.d -type f -mmin +10 -delete
{% endif %}
